解决Nextcloud提示”php-imagick模块不支持SVG”的问题

升级Nextcloud,管理员后台【概览】页提示“此实例中的 php-imagick 模块不支持 SVG。为了获得更好的兼容性,建议安装它。”,如下图。

虽然不影响正常使用,但强迫症使然,总想解决掉。

经过一番查找,发现这个和libmagickcore的某个组件有关,试着安装看看。

连接Ubuntu Server终端,输入“apt install libmagickcore-”,然后双击tab键,会显示以“libmagickcore-”开头的组件列表。

然后继续敲入完整的安装命令,安装“libmagickcore-6.q16-6-extra”组件。

apt install libmagickcore-6.q16-6-extra

安装完毕重启apache2,如果有安装php-fpm,需一并重启,笔者是php7.4-fpm,如下:

service apache2 restart
service php7.4-fpm restart

再次刷新管理后台【概览】页,问题解决。

Comments

发表评论

邮箱地址不会被公开。 必填项已用*标注